diff docker_legacy/base/scripts/sat @ 164:29873a41aae1

docker: new docker files are now in sat main repos, this one is legacy
author Goffi <goffi@goffi.org>
date Fri, 01 Jan 2021 18:33:52 +0100
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/docker_legacy/base/scripts/sat	Fri Jan 01 18:33:52 2021 +0100
@@ -0,0 +1,17 @@
+#!/bin/sh
+# account domain is set, then sat is launched with D-Bus activated
+
+# XXX: exec is not working with Docker and su here for whatever reason, so using trap/wait workaround
+#      thanks to cuonglm for the tip (https://unix.stackexchange.com/questions/146756/forward-sigterm-to-child-in-bash/146770#146770)
+
+on_sigterm() {
+  /usr/bin/sat stop
+  # to have a proper exit code
+  exit $?
+}
+trap on_sigterm TERM
+
+set_account_domain
+eval $(dbus-launch --sh-syntax)
+su -c "/usr/bin/sat $@" sat &
+wait $!